using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct trivertx_t
	{
		public void Init()
		{
			if (this.v == null)
			{
				this.v = new byte[3];
			}
		}

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public byte[] v;

		public byte lightnormalindex;

		public static int SizeInBytes = Marshal.SizeOf(typeof(trivertx_t));
	}
}
